> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a promotion



## OpenAPI

````yaml /openapi.json delete /promotions/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /promotions/{id}:
    delete:
      tags:
        - Promotions
      summary: Delete a promotion
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the promotion
          required: true
      responses:
        '200':
          description: The deleted `Promotion` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Promotion'
components:
  schemas:
    Promotion:
      type: object
      properties:
        id:
          type: string
          description: The ID of the promotion
        name:
          type: string
          description: Name of the promotion
        start_time:
          type: string
          description: Start time of the promotion
        end_time:
          type: string
          description: End time of the promotion
        points_multiplier:
          type: integer
          description: Multiplier applied to earned points
        description:
          type: string
          description: Description of the promotion
        image_url:
          type: string
          nullable: true
          description: URL of the promotion image
      required:
        - id
        - name
        - start_time
        - end_time
        - points_multiplier
        - description
        - image_url
      title: The Promotion object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````